summarylogtreecommitdiffstats
path: root/aursec.install
diff options
context:
space:
mode:
Diffstat (limited to 'aursec.install')
-rw-r--r--aursec.install14
1 files changed, 14 insertions, 0 deletions
diff --git a/aursec.install b/aursec.install
new file mode 100644
index 000000000000..3ca62c0a57c9
--- /dev/null
+++ b/aursec.install
@@ -0,0 +1,14 @@
+# Create the user and group if they don't exist
+
+post_install() {
+ if ! getent group aursec >/dev/null; then
+ groupadd --system aursec
+ fi
+ if ! getent passwd aursec >/dev/null; then
+ useradd --system -c 'aursec daemon user' -g aursec -d /var/aursec/ -s /bin/bash aursec
+ fi
+}
+
+post_upgrade() {
+ post_install $1
+}